[Home] [Downloads] [Search] [Help/forum]

Gammon Forum

See www.mushclient.com/spam for dealing with forum spam. Please read the MUSHclient FAQ!

[Folder]  Entire forum
-> [Folder]  MUSHclient
. -> [Folder]  Python
. . -> [Subject]  Problems on python install.
Home  |  Users  |  Search  |  FAQ
Username:
Register forum user name
Password:
Forgotten password?

Problems on python install.

It is now over 60 days since the last post. This thread is closed.     [Refresh] Refresh page


Posted by Ekaterina   (4 posts)  [Biography] bio
Date Thu 16 Sep 2010 12:31 PM (UTC)

Amended on Thu 16 Sep 2010 12:33 PM (UTC) by Ekaterina

Message
I'm running Vista 64bit, and I'm having trouble installing python properly, and getting mushclient to accept it as a scripting language. I downloaded ActivePython 2.6.6.15, the 32 bit version, installed, downloaded pywin32-214, when I tried to run setup it told me to to use python setup.py -q install, which I did and I recieve an error "error: unable to find vcvarsall.bat", more research suggested that I use a c compiler, MinGW to do the install, as a work around for the problem, however mingw give me the error "can't find a version in windows.h" I also ran C:\Python26\Lib\site-packages\win32comext\axscript\client\pyscript.py. Windows prompts for permission, and it says registering python, and seems to work.

Refrences
The error from mushclient:
Error -2147221164 occurred when loading scripting engine:
Class not registered

The VcV solution(MinGW)
http://blog.eddsn.com/2010/05/unable-to-find-vcvarsall-bat/

Forum Posts Read/Related:
Python installation instructions
http://www.gammon.com.au/forum/?id=9844

I have had Mushclient and Python scripting working on THIS computer before, same operating system and everything, and the install was not nearly this annoying. I feel like I'm on a wild goose chase installing a second compiler, and I'm not really sure what there is left to do but continue down that rabbit hole. Help is greatly appreciated.
[Go to top] top

Posted by Worstje   Netherlands  (899 posts)  [Biography] bio
Date Reply #1 on Thu 16 Sep 2010 02:36 PM (UTC)
Message
I think ActivePython is supposed to be all containing, but I don't use that package myself.

I use the plain 'official' Python 2.6 for Windows, then get myself pywin32 for Python 2.6, and make sure I install those with the proper permissions.

Beyond that, I'm not exactly sure what is wrong. If you have run that axclient.py file (also with proper 'elevated' permissions), it should simply work.
[Go to top] top

Posted by Nick Gammon   Australia  (21,322 posts)  [Biography] bio   Forum Administrator
Date Reply #2 on Thu 16 Sep 2010 10:51 PM (UTC)
Message
I'm sorry I can't help more. Last time I looked at Python I thought "I have to do *what* do get it to work?".

Can you revert back to the version that was working? That is all I can suggest.

- Nick Gammon

www.gammon.com.au, www.mushclient.com
[Go to top] top

Posted by Ekaterina   (4 posts)  [Biography] bio
Date Reply #3 on Thu 16 Sep 2010 11:01 PM (UTC)

Amended on Thu 16 Sep 2010 11:50 PM (UTC) by Ekaterina

Message
I re-formated since then, so I can't revert, I'm going to try installing python from the main page, which I have done but I was running 3.x, gonna install 2.7 and try again.

I should be installing the 32 bit version of python, even though I'm running a 64 bit system, because mushclient is 32 bit, yes?
[Go to top] top

Posted by Hurriedcorgi   USA  (6 posts)  [Biography] bio
Date Reply #4 on Mon 20 Aug 2012 11:39 AM (UTC)
Message
I've tried following every different instruction and still end up with this error


Error number: -2147467259
Event: setting site
Description: Error -2147467259 occurred when setting site:

Unspecified error

Called by:


Hope someone can figure out why so many of us are having this issue :/
[Go to top] top

Posted by Septe   USA  (9 posts)  [Biography] bio
Date Reply #5 on Fri 31 Jan 2014 08:18 PM (UTC)

Amended on Fri 31 Jan 2014 08:39 PM (UTC) by Septe

Message
I've tried every version, 3.3 down to 2.4. The fact is, 2.4 is the only version that works. Don't try any versions higher than Python 2.4.4. 2.4.4 is the only python version that comes with a windows installer. I spent all morning, trying various versions. In the versions above 2.4, pyscript.py failed due to inability to import a dll.

Unfortunately, I don't know enough to even attempt a fix for higher versions.

I hope this helps settle the python version question.

P.S. I copied the python script dealing with multi world examples using all of the various script engines. It worked!!! I am so happy.
[Go to top] top

The dates and times for posts above are shown in Universal Co-ordinated Time (UTC).

To show them in your local time you can join the forum, and then set the 'time correction' field in your profile to the number of hours difference between your location and UTC time.


8,305 views.

It is now over 60 days since the last post. This thread is closed.     [Refresh] Refresh page

Go to topic:           Search the forum


[Go to top] top

Quick links: MUSHclient. MUSHclient help. Forum shortcuts. Posting templates. Lua modules. Lua documentation.

Information and images on this site are licensed under the Creative Commons Attribution 3.0 Australia License unless stated otherwise.

[Home]


Written by Nick Gammon - 5K   profile for Nick Gammon on Stack Exchange, a network of free, community-driven Q&A sites   Marriage equality

Comments to: Gammon Software support
[RH click to get RSS URL] Forum RSS feed ( https://gammon.com.au/rss/forum.xml )

[Best viewed with any browser - 2K]    [Hosted at FutureQuest]